/*
  A sample Trie class and testing program
*/
#include "../Trie.h"

#include <iostream>
#include <string>
#include <vector>

// Tester for Trie.h
int main() {
    Trie searchDict;

    // Add a few words
    searchDict.addAWord("cat");
    searchDict.addAWord("cast");
    searchDict.addAWord("dog");

    searchDict.isAWord("cat");
    searchDict.isAWord("x");


    searchDict.allWordsBeginningWithPrefix("ct");
    searchDict.allWordsBeginningWithPrefix("ca");
    
    // Copy construct the Trie
    Trie copyDict( searchDict );
    
    // Assign the copy to a blank Trie
    Trie setDict;
    setDict.addAWord("foo");
    setDict = copyDict;
    return 0;
}

